This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 214312 - (xdms) Review Request: xdms - Extracts Amiga DMS archives
Review Request: xdms - Extracts Amiga DMS archives
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-06 19:15 EST by Ian Chapman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 08:51:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec fixes (1.38 KB, patch)
2006-11-12 14:17 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Ian Chapman 2006-11-06 19:15:37 EST
Spec URL: http://dribble.org.uk/reviews/xdms.spec
SRPM URL: http://dribble.org.uk/reviews/xdms-1.3.2-2.src.rpm
Description: 

Extracts Amiga DMS (Disk Masher) archives which are compressed Amiga disk
images. Xdms is particularly useful with Amiga emulators.
Comment 1 Michael Schwendt 2006-11-12 14:17:41 EST
Created attachment 141003 [details]
spec fixes

* fix CFLAGS, don't hack VERSION!
* use install option -p to preserve time-stamps of possibly _old_ files
* don't use %{?dist} in %changelog, since it would alter history
* don't package file COPYING, since it just points to xdms.txt
* omit the man-pages .gz extension, prefer a wildcard
Comment 2 Ian Chapman 2006-11-18 18:19:31 EST
Latest version.

Spec URL: http://dribble.org.uk/reviews/xdms.spec
SRPM URL: http://dribble.org.uk/reviews/xdms-1.3.2-3.src.rpm
Comment 3 Christopher Stone 2006-11-23 13:02:09 EST
==== REVIEW CHECKLIST ====
O rpmlint output:
  E: xdms configure-without-libdir-spec

  This is because of a non-standard configure script.  You should place a
comment in the specfile indicating why you cannot set libdir.
- package named according to package naming guidelines
- spec filename matches %{name}
- package meets packaging guidelines
- package licensed as "Public Domain"
  This is not listed in the open source compatible licenses, but I assume it's
valid for Fedora since rpmlint recognizes it.
- License matches actual license, located in source files
- no license in %doc because it just says "Public Domain" in the source files
- spec file written in American english
- spec file is legible
- source match upstream
  f687a5beba88964ef0afd478efe99849  xdms-1.3.2.tar.bz2
- package successfully compiles and builds on FC6 x86_64
- all dependencies listed in BR
- no locales
- no shared libraries
- package is not relocatable
- package owns all directories it creates
- no duplicates in %files
- file permissions set properly
- package has proper %clean section
O macro usage is consistent
  Why not use %{opt_flags} instead of $RPM_OPT_FLAGS since you use %{buildroot}?
- package contains code
- no large documentation
- %doc does not affect runtime
- no header files or static libraries
- no pkgconfig files
- package does not require a devel subpackage
- no .la files
- package is not a GUI app
- package does not own files or directories owned by other packages


** APPROVED **

==== SHOULD ====
- Add comment above configure explaining why you cannot set libdir
- Use %{optflags} instead of $RPM_OPT_FLAGS since you use %{buildroot} instead
of $RPM_BUILD_ROOT. Not really necessary, but more consistent with your usage.
Comment 4 Ian Chapman 2006-11-28 08:51:31 EST
Changes applied. Imported and built. Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.